<style>
    #content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    #container {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
    div#header {
        display: none;
    }
    h1 {
        font-size: 1.25rem !important;
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }
    ul.errorlist {
        background: none !important;
        font-style: italic;
    }
    ul.select-dropdown {
        background-color: #eee;
    }
    p {
        font-size: 1rem;
        margin: 0 !important;
    }
    .header {
        margin-bottom: 2rem;
    }
    .header p {
        font-size: 1.5rem;
    }
    .form-section {
        display: flex;
        background-color: silver;
        height: 3rem;
        justify-content: center;
        align-items: center;
        border-radius: 0.25rem;
        text-align: center;
        padding: 1rem;
        margin: 1rem 0 1rem 0;
    }
    .form-section p {
        margin: 0;
    }
    .form-button {
        font-size: 1.25rem;
        margin: 1rem 0 1rem 0;
    }
</style>

{% extends "admin/base_site.html" %}

{% load static %}
{% load i18n %}

{% block extrahead %}
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/custom_admin.css' %}"/>
{% endblock %}
    
{% block content %}
    {% block side_nav %}
    {% endblock %}

    {% block breadcrumbs %}
    {% endblock %}

    <div style="display: flex; justify-content: center;">
        <img src="{% static 'images/dw-header.png' %}" height="60" alt="DW Akademie Logo" />
    </div>

    {% translate 'Request Password Reset' as header %}
    {% translate "Don't worry, we are here to help you reset your password." as important_msg %}
    {% translate 'Please enter the email address associated with your account in the field below.' as email_msg %}
    {% translate 'Reset' as password_reset %}

    <div class="header">
        <p>{{ header }}</p>
    </div>

    <form method="post">
        {% csrf_token %}
        <!-- {{ form.as_p }} -->

        <div class="form-section">
            <p>{{ important_msg }}</p>
        </div>
        <div>
            <p>{{ email_msg }}</p>
            {{ form.email.label_tag }}
            {{ form.email }}
            {% if form.email.errors %}
                <ul class="errorlist">
                    {% for error in form.email.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>

        <div class="form-button">
            <input style="width: 100%" type="submit" value="{{ password_reset }}">
        </div>
    </form>
{% endblock %}